Summary:	A library to speed up freedesktop.org application menus
Name:		menu-cache
Version:	1.1.0
Release:	%mkrel 8.git20250128.1
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		https://www.lxde.org
Source0:	https://github.com/lxde/%name/archive/refs/heads/master.zip
# mga#14636
Patch0:		%{name}-1.0.0-mga-use-menu-messages.patch

BuildRequires:	pkgconfig(gio-2.0) >= 2.15.2
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:	pkgconfig(libfm-extra)
BuildRequires:	intltool
BuildRequires:	gtk-doc

%description
Libmenu-cache is a library creating and utilizing caches to speed up
freedesktop.org application menus.
It can be used as a replacement of libgnome-menu of gnome-menus.

Advantages:
1. Faster loading of menus.
2. Ease of use. (API is very similar to that of libgnome-menu)
3. Lightweight runtime library. (Parsing of the menu definition files
   are done by menu-cache-gen when the menus are really changed.)
4. Less unnecessary and complicated file monitoring.
5. Greatly reduced disk I/O.

%files
%{_libexecdir}/menu-cache*

#----------------------------------------------------------------------

%define major 3
%define libname %mklibname %{name} %{major}
%package -n %{libname}
Group:		Graphical desktop/Other
Requires:	%{name} >= %{version}
Summary:	Contains shared libraries for %{name}

%description -n %{libname}
This package contains shared libraries for %{name}.

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

#----------------------------------------------------------------------

%define develname %mklibname -d %{name}
%package -n %{develname}
Group:		Graphical desktop/Other
Requires:	%{libname} = %{version}
Summary:	Contains development files for %{name}
Provides:	%{name}-devel = %{version}
Provides:	lib{%name}-devel = %{version}

%description -n %{develname}
This package contains development files for %{name}.

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------
%prep
%autosetup -p1 -n %{name}-master

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

# remove la files
find %{buildroot}%{_libdir} -name *.la -delete


%changelog
* Fri Jan 31 2025 ns80 <ns80> 1.1.0-8.git20250128.1.mga10
+ Revision: 2143864
- update to latest git snapshot

* Tue Sep 10 2024 ns80 <ns80> 1.1.0-8.git20240821.1.mga10
+ Revision: 2094884
- update to latest git snapshot

* Wed Aug 30 2023 ns80 <ns80> 1.1.0-8.git20230724.1.mga10
+ Revision: 1981732
- update to latest git snapshot

* Wed Dec 07 2022 daviddavid <daviddavid> 1.1.0-7.mga9
+ Revision: 1918869
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 ns80 <ns80> 1.1.0-6.mga9
+ Revision: 1695902
- rebuild for libfm built with GTK 3

* Mon Oct 26 2020 akien <akien> 1.1.0-5.mga8
+ Revision: 1639571
- Fix build with GCC 10
- Don't package unspecific master reference, but specific commit

* Thu Feb 13 2020 umeabot <umeabot> 1.1.0-4.mga8
+ Revision: 1515146
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-3.mga7
+ Revision: 1299519
- Mageia 7 Mass Rebuild

* Mon Dec 04 2017 ns80 <ns80> 1.1.0-2.mga7
+ Revision: 1181206
- update to latest git snapshot to fix memory leaks

* Fri Nov 03 2017 ns80 <ns80> 1.1.0-1.mga7
+ Revision: 1175655
- new version 1.1.0

* Fri Sep 15 2017 ns80 <ns80> 1.0.2-6.mga7
+ Revision: 1154194
- update to latest git snapshot

* Tue Sep 05 2017 ns80 <ns80> 1.0.2-5.mga7
+ Revision: 1151343
- update to latest git snapshot to fix potential fd leaks

* Mon May 22 2017 ns80 <ns80> 1.0.2-4.mga6
+ Revision: 1104030
- update to latest git snapshot to fix initialization of XDG_DATA_HOME variable and creation of XDG_DATA_HOME/applications

* Mon May 15 2017 ns80 <ns80> 1.0.2-3.mga6
+ Revision: 1101690
- update to latest git snapshot to fix potential access violation

* Tue Apr 18 2017 ns80 <ns80> 1.0.2-2.mga6
+ Revision: 1096649
- add upstream patch to fix crash with invalid <Name> tag in a menu

* Mon Nov 07 2016 ns80 <ns80> 1.0.2-1.mga6
+ Revision: 1065572
- new version 1.0.2

* Sat Nov 05 2016 ns80 <ns80> 1.0.1-4.mga6
+ Revision: 1065477
- fix spelling error in a debug message

* Fri Oct 21 2016 ns80 <ns80> 1.0.1-3.mga6
+ Revision: 1062885
- update to latest git commit to fix:
  * a crash in menu-cached if cache regeneration fails
  * 100%% CPU load by menu-cached in some rare conditions

* Fri Feb 19 2016 wally <wally> 1.0.1-2.mga6
+ Revision: 969933
- rebuild to build also on arm

* Mon Dec 07 2015 ns80 <ns80> 1.0.1-1.mga6
+ Revision: 908664
- new version 1.0.1
  * drop merged patches

* Mon Nov 16 2015 ns80 <ns80> 1.0.0-8.mga6
+ Revision: 903507
- add upstream patch solving problem with menu cache regeneration (mga#15871)

* Sun Oct 25 2015 daviddavid <daviddavid> 1.0.0-7.mga6
+ Revision: 895250
- remove empty lang files to fix build with latest rpm

* Mon Aug 24 2015 ns80 <ns80> 1.0.0-6.mga6
+ Revision: 868992
- updated use-menu-messages.patch (mga#16632)

* Wed Dec 17 2014 doktor5000 <doktor5000> 1.0.0-5.mga5
+ Revision: 803664
- rebuild for QT 5.4 breakage

* Thu Dec 04 2014 alexl <alexl> 1.0.0-4.mga5
+ Revision: 801503
- updated use-menu-messages.patch (mga#14636)

* Thu Nov 27 2014 alexl <alexl> 1.0.0-3.mga5
+ Revision: 799582
- use menu-messages for translation Menu (mga#14636)

* Wed Nov 26 2014 doktor5000 <doktor5000> 1.0.0-2.mga5
+ Revision: 799363
- add two upstream patches to prevent crashes
  o when parsing items with both tags <DefaultAppDirs/> and <KDELegacyDirs/>
  o when menu-cache-gen ran manually without CACHE_GEN_VERSION

* Sat Oct 25 2014 doktor5000 <doktor5000> 1.0.0-1.mga5
+ Revision: 793172
- new version 1.0.0
- added BuildRequires on pkgconfig(libfm-extra)

* Wed Oct 22 2014 alexl <alexl> 0.6.1-1.mga5
+ Revision: 792512
- version 0.6.1 (mga#14159)

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-4.mga5
+ Revision: 743461
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.1-3.mga5
+ Revision: 727230
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-2.mga5
+ Revision: 682357
- Mageia 5 Mass Rebuild

* Wed Feb 12 2014 sander85 <sander85> 0.5.1-1.mga5
+ Revision: 589753
- New version: 0.5.1

* Sat Oct 19 2013 umeabot <umeabot> 0.5.0-2.mga4
+ Revision: 530970
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 fwang <fwang> 0.5.0-1.mga4
+ Revision: 461231
- bump libmajor
- new version 0.5.0

* Sat Jan 12 2013 umeabot <umeabot> 0.3.3-2.mga3
+ Revision: 359958
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 0.3.3-1.mga3
+ Revision: 316560
- new version 0.3.3

* Thu Nov 17 2011 obgr_seneca <obgr_seneca> 0.3.2-3.mga2
+ Revision: 168624
- remove la files

* Wed Jan 26 2011 ahmad <ahmad> 0.3.2-2.mga1
+ Revision: 41499
- imported package menu-cache


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-2mdv2011.0
+ Revision: 606637
- rebuild

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - change lib package requires to ease future major changes (tip from Anssi)

* Sun Feb 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.2-1mdv2010.1
+ Revision: 512516
- new upstream release 0.3.2

* Tue Feb 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.1-1mdv2010.1
+ Revision: 506650
- new upstream release 0.3.1

* Sun Feb 14 2010 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2010.1
+ Revision: 505931
- new version 0.3.0

* Mon Nov 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.2.6-1mdv2010.1
+ Revision: 463694
- update to new version 0.2.6

* Fri Jul 31 2009 Frederic Crozat <fcrozat@mandriva.com> 0.2.5-2mdv2010.0
+ Revision: 405083
- Ensure libraries are not duplicated in main package

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.2.5-1mdv2010.0
+ Revision: 369562
- fix file list
- New version 0.2.5

* Tue Apr 21 2009 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2009.1
+ Revision: 368476
- New version 0.2.4

* Mon Apr 06 2009 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2009.1
+ Revision: 364363
- New version 0.2.3

* Thu Dec 11 2008 Funda Wang <fwang@mandriva.org> 0.2.2-1mdv2009.1
+ Revision: 312650
- New version 0.2.2

* Wed Dec 10 2008 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2009.1
+ Revision: 312478
- New versino 0.2.1

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 0.1.2-1mdv2009.1
+ Revision: 307390
- new version 0.1.2

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 0.1.1-1mdv2009.1
+ Revision: 307342
- import menu-cache


